Package org.eclipse.m2m.atl.profiler.core.vm

# Interface IOperation

public interface IOperation
An abstract definition of ATL VM operations.

## Method Summary

Modifier and Type
Method
Description
`List<?>`
`getInstructions()`
Returns the operation instructions.
`String`
`getName()`
Returns the operation name.

## Method Details

### getName

String getName()
Returns the operation name.

Returns:
  the operation name

### getInstructions

List<?> getInstructions()
Returns the operation instructions.

Returns:
  the operation instructions